以下は、サーバーにCS-Cartをインストールする前に確認しておくべき項目です。

  1. Webサーバーがインストール要件を最低限満たしていること。
  2. シェルまたはFTP経由でWebサーバにアクセスできること。
  3. MySQLデータベースに接続できること。またインストールに必要なデータベースを作成していること。

インストールの最低要件(コア)

  • PHP version 5.3(5.3.6以降)、5.4、5.5、5.6、7.0
  • MySQL version 4.1 またはそれ以降 (MySQLi または pdo_mysql をサポートしていること)

その他の要件

  • safe_mode が無効であること
  • GD library がインストールされていること
  • cURL support が有効であること。
    このPHPエクステンションは、いくつかの支払い方法やリアルタイムの配送料金計算などに必要です。
  • file_uploads が有効であること
  • ftp_connect が有効であること。
  • fileinfo が有効であること。
  • Phar 拡張モジュール が有効であること。
  • ZipArchive 拡張モジュール が有効であること。
  • .htaccess が以下のディレクティヴをサポートしていること。
    allowed: DirectoryIndex, Deny, Allow, Options,Order, AddHandler,
    RewriteEngine, RewriteBase, RewriteCond and RewriteRule;

フィードバック

お役に立ちましたか?

はい いいえ
お役に立ちましたか
理由をお聞かせください
フィードバックありがとうございました

このトピックへフィードバック

送信